<template lang="pug">

el-menu.menu-block(
  router=true
  :class='collapsMenu ? "menu-block_collaps" : "menu-block_expand"'
  :collapse='collapsMenu'
  :collapseTransition='collapseTransition')

  .menu-block__links-wrapper(
    v-for='group in menuLinks'
    :key="`group-${group.id}`")
    span.menu-label
      span(v-if="!collapsMenu")  {{ group.name }}

    el-menu-item.menu-item(
      v-for="link in group.links"
      :key="`link-${link.index}`"
      :index='String(link.index)'
      :route="{path: link.path}"
      :class="$route.path.includes(link.path) && link.path !== '/admin' || $route.path === link.path ? 'active-item' : ''"
      :style="`padding-left: ${menuItemPadding}px;`")
        font-awesome-icon.menu-block__icon(:icon="link.icon")
        span(slot='title') {{ link.name }}

  hr.menu-block__hr

  el-menu-item.menu-item(
  index='20'
  :route="{path: '/'}"
  :style="`padding-left: ${menuItemPadding}px;`")
    font-awesome-icon.menu-block__icon(icon="external-link-alt")
    span(slot='title') Перейти на сайт

</template>

<script>
export default {
  name: 'MenuBlock',
  props: {
    collapsMenu: {
      type: Boolean,
      required: true
    }
  },
  data() {
    return {
      collapseTransition: false,
      menuItemPadding: 40,
      menuLinks: [
        {
          id: 1,
          name: '',
          show: '',
          links: [
            {
              index: 1,
              path: '/admin',
              icon: 'chart-pie',
              name: 'Хроника событий',
              show: ''
            }
          ]
        },
        {
          id: 2,
          name: 'Редактирование',
          show: '',
          links: [
            {
              index: 2,
              path: '/admin/main',
              icon: 'home',
              name: 'Главная страница',
              show: ''
            },
            {
              index: 3,
              path: '/admin/news',
              icon: 'newspaper',
              name: 'Новости',
              show: ''
            },
            {
              index: 4,
              path: '/admin/categories',
              icon: 'folder',
              name: 'Категории товаров',
              show: ''
            },
            {
              index: 5,
              path: '/admin/products',
              icon: 'shopping-cart',
              name: 'Каталог товаров',
              show: ''
            },
            {
              index: 6,
              path: '/admin/vacancies',
              icon: 'file',
              name: 'Вакансии',
              show: ''
            }
          ]
        },
        {
          id: 3,
          name: 'Управление',
          show: '',
          links: [
            {
              index: 16,
              path: '/admin/users',
              icon: 'user',
              name: 'Клиенты',
              show: ''
            },
            {
              index: 17,
              path: '/admin/admins',
              icon: 'user-shield',
              name: 'Администраторы',
              show: ''
            },
            {
              index: 18,
              path: '/admin/ui-kit',
              icon: 'cogs',
              name: 'UI kit',
              show: ''
            }
          ]
        }
      ]
    };
  }
};
</script>
